Subject: bug#40176: closed (Re: bug#40176: `guix pull` fails due to unbound variable qemu-minimal-2.10)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Mar 2020 20:49:02 +0000

Your bug report

#40176: `guix pull` fails due to unbound variable qemu-minimal-2.10

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40176: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40176
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40176: `guix pull` fails due to unbound variable qemu-minimal-2.10
From: Marius Bakke <[email-masked]>
To: Evan Straw <[email-masked]>, [email-masked]
Date: Sat, 21 Mar 2020 21:48:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Evan,

Evan Straw <[email-masked]> writes:

> Hello,
> When attempting to run `guix pull` today, I encountered an error while
> building the package cache.

My bad, sorry about that!  This was fixed in
18401bdf69b2540b13db86aed199d1ebc585a844, thanks for reporting it!

Subject: `guix pull` fails due to unbound variable qemu-minimal-2.10
From: Evan Straw <[email-masked]>
To: [email-masked]
Date: Sat, 21 Mar 2020 13:40:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
When attempting to run `guix pull` today, I encountered an error while
building the package cache.

Here is the output of `guix pull`:
--8<---------------cut here---------------start------------->8---
evan@xenon:~$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git	dde3f55
Computing Guix derivation for 'x86_64-linux'... -
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
The following derivations will be built:
   /gnu/store/146ww7y6p3dxs63qry46zd5ni3ksi1v7-profile.drv
   /gnu/store/biwwzic55r9gdz8fkmxm61dwfhx6irjl-inferior-script.scm.drv
   /gnu/store/jl7j7xwlrgz0188mh4sq7mbv2waspiv1-profile.drv
0.0 MB will be downloaded:
   /gnu/store/llvcnyrnsasq1kbll9k19awrkj3qkjq6-manual-database
The following profile hooks will be built:
   /gnu/store/4136wng3vj76id8d5lrghasjbfq62ly8-guix-package-cache.drv
   /gnu/store/kbacrq2k9iv07hk8q5j95b88ycrm38x2-ca-certificate-bundle.drv
   /gnu/store/v24zmacl82qpmmi6fmxdmdgjs2mwxg9h-info-dir.drv
   /gnu/store/y93pwf2clvhyj93vzj3cmwv9z7jbp99l-fonts-dir.drv
downloading from https://ci.guix.gnu.org/nar/lzip/llvcnyrnsasq1kbll9k19awrkj3qkjq6-manual-database...
 manual-database  231B                                 226KiB/s 00:00 [##################] 100.0%

building CA certificate bundle...
building fonts directory...
building directory of Info manuals...
building /gnu/store/jl7j7xwlrgz0188mh4sq7mbv2waspiv1-profile.drv...
building /gnu/store/biwwzic55r9gdz8fkmxm61dwfhx6irjl-inferior-script.scm.drv...
building package cache...
/builder for `/gnu/store/4136wng3vj76id8d5lrghasjbfq62ly8-guix-package-cache.drv' failed to produce output path `/gnu/store/8j8vml0w92s5rpkfi2b5yzpfd2xzsrr3-guix-package-cache'
build of /gnu/store/4136wng3vj76id8d5lrghasjbfq62ly8-guix-package-cache.drv failed
View build log at '/var/log/guix/drvs/41/36wng3vj76id8d5lrghasjbfq62ly8-guix-package-cache.drv.bz2'.
cannot build derivation `/gnu/store/146ww7y6p3dxs63qry46zd5ni3ksi1v7-profile.drv': 1 dependencies couldn't be built
guix pull: error: build of `/gnu/store/146ww7y6p3dxs63qry46zd5ni3ksi1v7-profile.drv' failed
--8<---------------cut here---------------end--------------->8---

Here are the contents of the build log provided:
--8<---------------cut here---------------start------------->8---
(repl-version 0 1 1)
Generating package cache for '/gnu/store/m8f66b82z47ywnsxx0qsh402lfg3l5lp-profile'...
(exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (qemu-minimal-2.10)) (value #f))
--8<---------------cut here---------------end--------------->8---

I normally have some channels added for my own personal packages as well
as some from a friend's personal packages, but this error happens even
with those channels removed from my channels.scm file. Below is the
output of `guix describe` (containing the channels I normally have
added, I've removed some names and URLs for privacy, please let me know
if they are necessary):
--8<---------------cut here---------------start------------->8---
evan@xenon:~$ guix describe
Generation 52	Mar 19 2020 05:21:49	(current)
  guix 58d9027
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 58d902741240d52d783e77ef3a0540642bd91e4c
  <removed> 73aad23
    repository URL: <removed>
    branch: master
    commit: 73aad23c652df42c63b4029e97db5c4149930f71
  personal-channel 159b508
    repository URL: <removed>
    branch: master
    commit: 159b50819c8fe9061e1b8fccbbe88fc13a91d971
--8<---------------cut here---------------end--------------->8---

Another Guix user I've spoken to has
confirmed the same error is happening on his machine as well.

I hope this report helps. Please let me know if I can provide any
additional information.

-- Evan Straw <[email-masked]>